Last Comment Bug 541221 - Promote more information about the review queues on AMO
: Promote more information about the review queues on AMO
Status: RESOLVED FIXED
[ReviewTeam]
:
Product: addons.mozilla.org Graveyard
Classification: Graveyard
Component: Developer Pages (show other bugs)
: unspecified
: All All
: P3 normal
: 5.8
Assigned To: Jorge Villalobos [:jorgev]
:
Mentors:
Depends on:
Blocks: 435273
  Show dependency treegraph
 
Reported: 2010-01-21 14:31 PST by Jorge Villalobos [:jorgev]
Modified: 2016-02-04 14:49 PST (History)
3 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch V1. Add link to blog in status page and minor correction (2.22 KB, patch)
2010-02-15 15:49 PST, Jorge Villalobos [:jorgev]
wclouser: review-
Details | Diff | Review
Patch V2. Moved string changes to the right place and fixed URL handling. (3.02 KB, patch)
2010-03-16 16:56 PDT, Jorge Villalobos [:jorgev]
wclouser: review+
Details | Diff | Review

Description Jorge Villalobos [:jorgev] 2010-01-21 14:31:27 PST
There are a couple of important resources that authors should be made aware of:
* The information for authors in the editor wiki. https://wiki.mozilla.org/AMO:Editors/InfoAuthors
* The weekly queue reports in the AMO Forum. https://forums.addons.mozilla.org/viewforum.php?f=21

These should probably appear in the last step of the submission process, and maybe in the status page when the add-on is pending a nomination review.
Comment 1 Jorge Villalobos [:jorgev] 2010-02-15 15:01:26 PST
The last step of the submission is bug 541591. I'll solve the status page on this bug. A better resource to point all developers is this recent post: http://blog.mozilla.com/addons/2010/02/15/the-add-on-review-process-and-you/
Comment 2 Jorge Villalobos [:jorgev] 2010-02-15 15:49:09 PST
Created attachment 427019 [details] [diff] [review]
Patch V1. Add link to blog in status page and minor correction

This adds a link to the blog post explaining the review process. I've indicated the post is in English in order to be a little more locale-friendly.

I also made a minor correction to the string about the sandbox, which said users needed to log in in order to install the add-on, which is no longer true.
Comment 3 Wil Clouser [:clouserw] 2010-02-17 22:40:55 PST
Comment on attachment 427019 [details] [diff] [review]
Patch V1. Add link to blog in status page and minor correction

The .pot file is automatically generated.  You'll need to change these strings in their respective files.  You can see the file name right above the string.

In this case, we should add lang="en" to the <a> and then you won't need "in English" afterwards - localizers can add that if they really think it's useful.  Secondly, instead of the whole URL in the .po, if you use a %s we can substitute it in from the code side and keep the .po files simpler.  If you don't know how to do that assign this to me and I can do it.
Comment 4 Jorge Villalobos [:jorgev] 2010-03-16 16:56:11 PDT
Created attachment 432954 [details] [diff] [review]
Patch V2. Moved string changes to the right place and fixed URL handling.

Moved the string changes to the right files and separated the URL from the strings. Also added lang="en" to the links.
Comment 5 Wil Clouser [:clouserw] 2010-03-16 22:03:40 PDT
Comment on attachment 432954 [details] [diff] [review]
Patch V2. Moved string changes to the right place and fixed URL handling.

rockin' the sprintf!
Comment 6 Jorge Villalobos [:jorgev] 2010-03-17 09:36:06 PDT
Fixed, r64266
Comment 7 Jorge Villalobos [:jorgev] 2012-02-10 10:32:26 PST
Reclassifying editor bugs and changing to a new whiteboard flag. Spam, spam, spam, spam...

Note You need to log in before you can comment on or make changes to this bug.